org.apache.lucene.util.automaton

## Class Transition

- java.lang.Object
- - org.apache.lucene.util.automaton.Transition

- All Implemented Interfaces:
    Cloneable

      public class Transition
      extends Object
      implements Cloneable

  `Automaton` transition.

  A transition, which belongs to a source state, consists of a Unicode codepoint interval and a destination state.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<Transition>` | `CompareByDestThenMinMax`
    `static Comparator<Transition>` | `CompareByMinMaxThenDest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transition(int min, int max, State to)` Constructs a new transition.
    `Transition(int c, State to)` Constructs a new singleton interval transition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transition` | `clone()` Clones this transition.
    `boolean` | `equals(Object obj)` Checks for equality.
    `State` | `getDest()` Returns destination of this transition.
    `int` | `getMax()` Returns maximum of this transition interval.
    `int` | `getMin()` Returns minimum of this transition interval.
    `int` | `hashCode()` Returns hash code.
    `String` | `toString()` Returns a string describing this state.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CompareByDestThenMinMax

          public static final Comparator<Transition> CompareByDestThenMinMax

    - #### CompareByMinMaxThenDest

          public static final Comparator<Transition> CompareByMinMaxThenDest

  - ### Constructor Detail

    - #### Transition

          public Transition(int c,
                    State to)

      Constructs a new singleton interval transition.
      Parameters:
        `c` - transition codepoint
        `to` - destination state

    - #### Transition

          public Transition(int min,
                    int max,
                    State to)

      Constructs a new transition. Both end points are included in the interval.
      Parameters:
        `min` - transition interval minimum
        `max` - transition interval maximum
        `to` - destination state

  - ### Method Detail

    - #### getMin

          public int getMin()

      Returns minimum of this transition interval.

    - #### getMax

          public int getMax()

      Returns maximum of this transition interval.

    - #### getDest

          public State getDest()

      Returns destination of this transition.

    - #### equals

          public boolean equals(Object obj)

      Checks for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - object to compare with
      Returns:
        true if `obj` is a transition with same character interval and destination state as this transition.

    - #### hashCode

          public int hashCode()

      Returns hash code. The hash code is based on the character interval (not the destination state).
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hash code

    - #### clone

          public Transition clone()

      Clones this transition.
      Overrides:
        `clone` in class `Object`
      Returns:
        clone with same character interval and destination state

    - #### toString

          public String toString()

      Returns a string describing this state. Normally invoked via `Automaton.toString()`.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.